<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Matiere extends Model
{
    use HasFactory;
    protected $fillable = ['nom'];
    protected $connection = 'tenant';
    public function filieres()
    {
        return $this->belongsToMany(Filiere::class)->withTimestamps();
    }
    public function documentations()
    {
        return $this->belongsToMany(Documentation::class)->withTimestamps();
    }
}
